patch
HTTP Request
PATCH /api/v1/transforms/:transformReferencePath parameters
transformReference
A qualified reference to the transform. See referencing resources for more information.
Request body
Provide a JSON object with information about the table.
name
string
The updated name of the transform. Must be unique (non-word characters ignored) within the workflow.
sourceTable
string
The qualified reference for the transform's new source table.
query
string
If specified, update the transform's SQL query to the specified query string. Only applicable to transforms with one and only one SQL step. If the transform has more than one SQL step, or other step types, will return an error.
Authorization
Edit access to the corresponding workflow is required. Your access token must have the following scope:
workflow.write
Response body
Returns the JSON-encoded "get" representation of a transform resource.
Last updated
Was this helpful?

